## urpo 0.9

=== src/Makefile ===
#############################################################################
# Makefile for building: urpo
# Generated by qmake (2.01a) (Qt 4.6.2) on: ma kes 21 21:28:22 2010
# Project:  urpo.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile urpo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		urpomainwindow.cpp \
		urpoconnection.cpp \
		urpoconnectionsettings.cpp \
		urpoprocess.cpp \
		urpojob.cpp \
		printerlistjob.cpp \
		cerrdebugmonitor.cpp \
		printwidget.cpp \
		debugconsole.cpp \
		settingsdialog.cpp \
		printjob.cpp moc_urpomainwindow.cpp \
		moc_urpoprocess.cpp \
		moc_urpojob.cpp \
		moc_printerlistjob.cpp \
		moc_cerrdebugmonitor.cpp \
		moc_printwidget.cpp \
		moc_debugconsole.cpp \
		moc_settingsdialog.cpp \
		moc_printjob.cpp \
		qrc_urpo.cpp
OBJECTS       = main.o \
		urpomainwindow.o \
		urpoconnection.o \
		urpoconnectionsettings.o \
		urpoprocess.o \
		urpojob.o \
		printerlistjob.o \
		cerrdebugmonitor.o \
		printwidget.o \
		debugconsole.o \
		settingsdialog.o \
		printjob.o \
		moc_urpomainwindow.o \
		moc_urpoprocess.o \
		moc_urpojob.o \
		moc_printerlistjob.o \
		moc_cerrdebugmonitor.o \
		moc_printwidget.o \
		moc_debugconsole.o \
		moc_settingsdialog.o \
		moc_printjob.o \
		qrc_urpo.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		urpo.pro
QMAKE_TARGET  = urpo
DESTDIR       = 
TARGET        = urpo

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: urpo.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile urpo.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile urpo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/urpo1.0.0 || $(MKDIR) .tmp/urpo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/urpo1.0.0/ && $(COPY_FILE) --parents urpomainwindow.h urpoconnection.h urpoconnectionsettings.h urpoprocess.h urpojob.h printerlistjob.h cerrdebugmonitor.h printwidget.h debugconsole.h settingsdialog.h printjob.h .tmp/urpo1.0.0/ && $(COPY_FILE) --parents urpo.qrc .tmp/urpo1.0.0/ && $(COPY_FILE) --parents main.cpp urpomainwindow.cpp urpoconnection.cpp urpoconnectionsettings.cpp urpoprocess.cpp urpojob.cpp printerlistjob.cpp cerrdebugmonitor.cpp printwidget.cpp debugconsole.cpp settingsdialog.cpp printjob.cpp .tmp/urpo1.0.0/ && $(COPY_FILE) --parents urpo_fi.ts .tmp/urpo1.0.0/ && (cd `dirname .tmp/urpo1.0.0` && $(TAR) urpo1.0.0.tar urpo1.0.0 && $(COMPRESS) urpo1.0.0.tar) && $(MOVE) `dirname .tmp/urpo1.0.0`/urpo1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/urpo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_urpomainwindow.cpp moc_urpoprocess.cpp moc_urpojob.cpp moc_printerlistjob.cpp moc_cerrdebugmonitor.cpp moc_printwidget.cpp moc_debugconsole.cpp moc_settingsdialog.cpp moc_printjob.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_urpomainwindow.cpp moc_urpoprocess.cpp moc_urpojob.cpp moc_printerlistjob.cpp moc_cerrdebugmonitor.cpp moc_printwidget.cpp moc_debugconsole.cpp moc_settingsdialog.cpp moc_printjob.cpp
moc_urpomainwindow.cpp: urpomainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) urpomainwindow.h -o moc_urpomainwindow.cpp

moc_urpoprocess.cpp: urpoprocess.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) urpoprocess.h -o moc_urpoprocess.cpp

moc_urpojob.cpp: urpoprocess.h \
		urpojob.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) urpojob.h -o moc_urpojob.cpp

moc_printerlistjob.cpp: urpojob.h \
		urpoprocess.h \
		printerlistjob.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) printerlistjob.h -o moc_printerlistjob.cpp

moc_cerrdebugmonitor.cpp: cerrdebugmonitor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) cerrdebugmonitor.h -o moc_cerrdebugmonitor.cpp

moc_printwidget.cpp: printwidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) printwidget.h -o moc_printwidget.cpp

moc_debugconsole.cpp: debugconsole.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debugconsole.h -o moc_debugconsole.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_printjob.cpp: urpojob.h \
		urpoprocess.h \
		printjob.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) printjob.h -o moc_printjob.cpp

compiler_rcc_make_all: qrc_urpo.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_urpo.cpp
qrc_urpo.cpp: urpo.qrc \
		urpo_fi.qm \
		help/gpl.html \
		help/index.html \
		help/index_fi.html
	/usr/bin/rcc -name urpo urpo.qrc -o qrc_urpo.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

main.o: main.cpp urpomainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

urpomainwindow.o: urpomainwindow.cpp urpomainwindow.h \
		urpoconnectionsettings.h \
		urpoconnection.h \
		printerlistjob.h \
		urpojob.h \
		urpoprocess.h \
		debugconsole.h \
		printwidget.h \
		printjob.h \
		settingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpomainwindow.o urpomainwindow.cpp

urpoconnection.o: urpoconnection.cpp urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpoconnection.o urpoconnection.cpp

urpoconnectionsettings.o: urpoconnectionsettings.cpp urpoconnectionsettings.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpoconnectionsettings.o urpoconnectionsettings.cpp

urpoprocess.o: urpoprocess.cpp urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpoprocess.o urpoprocess.cpp

urpojob.o: urpojob.cpp urpojob.h \
		urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o urpojob.o urpojob.cpp

printerlistjob.o: printerlistjob.cpp printerlistjob.h \
		urpojob.h \
		urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o printerlistjob.o printerlistjob.cpp

cerrdebugmonitor.o: cerrdebugmonitor.cpp cerrdebugmonitor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cerrdebugmonitor.o cerrdebugmonitor.cpp

printwidget.o: printwidget.cpp printwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o printwidget.o printwidget.cpp

debugconsole.o: debugconsole.cpp debugconsole.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debugconsole.o debugconsole.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		urpoconnectionsettings.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

printjob.o: printjob.cpp printjob.h \
		urpojob.h \
		urpoprocess.h \
		urpoconnection.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o printjob.o printjob.cpp

moc_urpomainwindow.o: moc_urpomainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_urpomainwindow.o moc_urpomainwindow.cpp

moc_urpoprocess.o: moc_urpoprocess.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_urpoprocess.o moc_urpoprocess.cpp

moc_urpojob.o: moc_urpojob.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_urpojob.o moc_urpojob.cpp

moc_printerlistjob.o: moc_printerlistjob.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_printerlistjob.o moc_printerlistjob.cpp

moc_cerrdebugmonitor.o: moc_cerrdebugmonitor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_cerrdebugmonitor.o moc_cerrdebugmonitor.cpp

moc_printwidget.o: moc_printwidget.cpp

## urpo 0.9.2-1

=== debian/changelog ===
urpo (0.9.2-1) unstable; urgency=low

  * A bugfix release
  * Detects the language setting of the device correctly even if language and location don't match
  * File selection dialog for the private key starts from /home/user/.shh/ 
  * Fixes an error in the help files' instructions on how to transfer the public key to the remote computer
  * Allows entering the printer name manually
  * Extends the timeouts of connecting to the remote server to 30 seconds
  * Now includes a proper copyright file
  * No longer installs (no-good) readme files  

 -- Heli Hyvättinen <helihyvattinen@kymp.net>  Tue, 7 Sep 2010 14:47:00 +0300

urpo (0.9-3) unstable; urgency=low

  * Fixed dependencies again...

 -- Heli Hyvättinen <helihyvattinen@kymp.net>  Tue, 20 Jul 2010 01:53:20 +0300

urpo (0.9-1ubuntu1) lucid; urgency=low

  * 

 -- Heli Hyvättinen <helihyvattinen@kymp.net>  Tue, 20 Jul 2010 01:20:56 +0300

urpo (0.9-2) unstable; urgency=low

   Fixed dependencies and added the desktop icon (hopefully...)
  *

 -- Arto Hyvättinen <arto.hyvattinen@gmail.com>  Sun, 18 Jul 2010 07:05:36 +0300

=== debian/control ===
Source: urpo
Priority: extra
Maintainer: Arto Hyvättinen <arto.hyvattinen@gmail.com>
Build-Depends: debhelper (>= 7),libqt4-dev
Standards-Version: 3.8.3
Homepage: http://urpo.garage.maemo.org/

Package: urpo
Architecture: any
Section: user/utilities
Depends: ${shlibs:Depends}, ${misc:Depends},libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-core (>= 4.6.2~git20100401), libqt4-gui (>= 4.6.2~git20100401), libstdc++6 (>= 4.2.1), openssh-client
Homepage: http://urpo.garage.maemo.org/
Description: Remote printing via SSH and CUPS 
 URPO utility for remote printing of files.
 A computer running SSH server and CUPS (Common Unix Printing System) required. 
 These are available for any Linux distribution.
 Any format supported by CUPS (text file, pdf. jpg, gif, png etc.) is printable.
XB-Maemo-Upgrade-Description: Remote printing via SSH and CUPS
 URPO utility for remote printing of files.
 A computer running SSH server and CUPS (Common Unix Printing System) required. 
 These are available for any Linux distribution.
 Any format supported by CUPS (text file, pdf. jpg, gif, png etc.) is printable. 
 New in this version:
 Corrected detecting the language setting of the device.
 The file choosing dialog for the private key now starts from /home/user/.ssh.
 Instructions for the setup of the SSH keypair corrected.
 The timeout for connecting to remote computer extended to 30 seconds.
 Allows writing the printer name.         
XSBC-Bugtracker: https://garage.maemo.org/projects/urpo/
XB-Maemo-Display-Name: URPO Remote Printing
XB-Maemo-Display-Name-fi_FI: Urpo etätulostus
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGFRQwJoGSf0YAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAASIUlEQVRo3m2aa4xk11Xvf2vvfc6pR3d1z4wdj+PYwbFN4igm
 EAfycILhElAYkHglASkICOIDCIQS8QGkKIjXhyB0E12eEvciEAgJXe7lGQQi
 PAJSMAKS4BCQyRjFduwZY08/q6vqnLP3XosP+1RVz4SSStVVdXqf9fyv/1qr
 5Lt+wC6rIqqICOYd4hx4Xz5TxVSRvYukf/zYd3/vWx75slcjDA8RALPyzmz9
 t+G8I4SAE5GclZwVVcMAhyDe4YTNZwD/8fTrfvbi7W8+U4XhGJyDUIH3YIqp
 QU6QcnkfgkfycP9B4CKZgPPD/cBme+hDr3n5oz/zM+/9OrO16DcLvn6qgRMI
 oTxTLjdVA1NAimAi5b0Bqti7v+dP/hew5NzRSDlrbTEMMyvKiSDBe6S8xQlY
 VgQtX4og3mNgzjkhq9F15STn2FhOKMKxVqAYAdWt0ClB1q3A3pUzdK24ZgQn
 SPGvbGQEEVRAbG2scxo6A/O+COoc4h2ihmRFcsZMcdMdyb/za99xZXF2evf6
 ENVyExkEv/VhVgTWvJZibdJzXlt/MPz9xL/96rfH7mhrUkCKp9y5c2XjbQFn
 Wo4OAQmhxL9ziCmo4rJiFy6R56ef/cHF4uRBOR8yWg4xOeeKc6+qkK28F9l+
 vfbCeWuaIYv559/btQf1YFgngrghEoZQdmqIKQ7BiSFhHfND4pbbJ8hs8sHF
 Hrzz2fuAOLB8LnxsK/OtjtDBA/ibvYAMyT78wzqMRByI21wpUuSScv0m9m0w
 hgDBbJu4ziEhAFKU0EGIlJGsiveOwUPkDOqKqUTOCX+LJqollDZJb4CCuXMh
 NLwKDpGCHyZbzw1XiSpmhrjiOXMeCSKIDQi0TubgixxpUDQnJOdMzop3RXDV
 bbI694URtJYr5/KsQkGJDCUjByXO54OIQ8ppbvCADWeXyC3xb7b1jgURDCvJ
 rFogUwQXQrkISmhpNnLOZAXni+U1bZXwbm2nL9RircDa77KG2jXMrGHRyRBH
 5WMnm9ATM3QbaiCugE4YhCwJXeJM8hBSfohd7xERR1IlxaLQUFhIeYjzNQ7/
 N2GUc7nOuVtqhxZbr9NBZLhRSWBcERItcrmhYJpRCq73WJACVWJWLG8Gmre1
 1nukqpFQVThcEdigqsCHIcYHBcTf4oXzeZCL0uvitU5ed04hEYeUJHYDhK7t
 YaqbImiuMAYTQQKCGCbjiWgzIpoiRsFaV2iFXL6L2DQ1oapKbqRy040SA+av
 K2xJyJsdkVKpyms0GmC6FMRNaHjq5oKOxigGozFWVZAzZgMzaFcWnBPzoTgu
 GEhVif7FR779XXsz3lBOlw1OO+d47C8rqyv/iqapCQFyd7MS64TOeRDc8QUa
 pLQV+LxntvypKHD1Mz/6AQw1gclkjHfeYuxZtSti3+uXfPn/+Snvcd5hOWPB
 zOzTn/ydCz/8Q+/4n1/91f/jFmJmqBl13fC+970P54RmVG7c9RBjuTaEcn2M
 Jdb9kIU3VeDh+6bZ4Pr2OYRTjGof/OD7v9E7j3PCzs4OYPSxp21bUOXd3/kt
 zdu/+fd/fI1IYf+ipGB//gNXrvwSasWRMsBI4TdKCDVmxic+8ThXrrwbENq2
 J/YR5x1N0+B9RddFTBVfBYIPyBDEpkZWw4ljZ2dKjIm+j6gaVVUNCpZwb+oR
 3nt88IzHo62XahAR+/CHf/rr/urv+IkYDTMx+corq7seff2vPPvww68zcUMZ
 2RBl2fCUs/mClBXvhBAchtG2StcpzjlGowAYXaeYCaFyOHHniplhCuNxhTho
 20xKRhUc4tbhJTT1hKxGXTt2poGYlOUykZMiThiPHb/6vz/6y/e+8v2/ESOE
 F19Y6Rvf+AYeeeTNMuAr21q+LZ7rpFPbwqgAiyX0fYnt8bjEetsWAwzGRYea
 kXIJt/EEFgtIsdQU77co1XcFEMZj2N2FroXTUyMEIVQlBH/zt/62slK7CKFy
 gsiGx8vA5TlHvjinmLNyM9OCQJNJcXHXwWoFo1ERvOvK/w38akP4+gjj4R46
 0Aq39oAMDFZhtWz5yB//I01T89ovfYiPfvQvuftld/C2t30FIE4V50o/YHgn
 G26+7oY23hgqp2E4EZTtDS0VAXd2ihJta5gJo3GxdoqD0s5KZklRvuvBBbC2
 eGx93pqimMELN+Z867e9leef7/nd//uHfO/3vZP/vH59AADnRPDOUcLUuVBI
 2tD92GDllLaNiJpsaMMaYXIu4RMjTKdQ10I7eKKpiyG6HrLKTRR8tdp2WTmd
 g+EBilXh3lfczqc+dY3j4453vuudfOZfPsdkss+qBTUR5/Ah4MNrX7tv///3
 /ohnnnl+A3c6EA8zQxVGowbvAs77dbUsCGOC6jppa6pQcXa2YLVqGU+mhFCz
 WCwJoaKqmgFKMylnLl26jbP5gq7rGI3GpJwJPrBaLUk5cfHiRdrVitOTqzgv
 7O3NuHbtBl3XslhwEip88FjICpPxmL39vUEB2SqixfW/8PO/yGrVbhTwPuB9
 wLmiSPGMUNUNdT1icbZg1fbMZnsD5EYm4wk+VGQ1UszszvYQhLOzBc1ohBkE
 Hzg+PuI973kPOzt7pKiMp7tMJyOapiHGFu8Ddd3Q1PisaDg/ASiWLZ20AC4I
 Io6Dgxuczs9QNa5c+fqC0754xIlHnAwoVTwxGjXM5wtWq8z+/h5d15OzMB6P
 QDwxli5nb2+H4+MFJydn/MeTn8NXnsODU3wYodnR9Qnw1M2UnCMxQQg1o9HY
 icPHFhdMQbOiqkPiFh5QIFzwzpfwqGruvPOlfOhDP8FqBX3fI2Ibgsa2+UEE
 Ro1wdAyrlbG3J5yclrivauh7oW2Ny5cDJyfCwcEZH/jAhwjB46sVIYxJueTW
 aDQBAjH1OAlUVaBpxq7vCasVOaghqoqaISiSDRErFNW5oZcVnHM89NCDA/8x
 FotM1ylNMyIEwXmoayNUBX26Hi5dEo6OlYMDYbYHR0cD8RuS//RUCAFG413G
 4xniHCGsqKoJbbfCLDCd7pFSJGdh1IxpRoGU8MsFQRUJDJzH1LD1sIWihKgN
 fSr0feJbv+UKIkYzElJaklKk7c7QXBR0XghBBvKmqHomE89y1XFwWDObwXPP
 wWjkiclYLGvuu69BFV7/FW/g048/QdO0VPWUg8M5zo0Qqem6jqoeM56MadsF
 i2Xy+4ZvGgibNnUg27Jumm2Ym6RESpmqqviat305qxWcnKz47NXP4QYvxah0
 qwyuoqpqvJdSZZwnRWEyHXF6eoODgx2aRjk5rRiNhJMT5Z577qLr4KsefZjP
 fvYFxpOM4VkslTtecjtdH0FqppMpfew4Pp5jJq6pCX0PYTpFTg/miyevPlnn
 rN42/WCZZ3gXiDHKW9/6Zmnb4v7/97t/jmppMUUcVV2s2LYdMRpVNaGum1Jf
 vMcsMJnMODx6BtUZZpnRaEaMmX/51xMuXdyjbmr29+8EJly7dmqHh0uaZsLJ
 8QGz2YTF8kVeeP5ZQhXmo9Gu9ZGgCqFyOnr1oz93/4d/6pG/Nu3vt82sU4bR
 h2CIveUtb6pWK0MN3v71XzXw/mJpNyAXyKAIrLqStE3j8F5oO6GqXsHRkQPJ
 HB46dnYcp3OYTOHoULh0+z02mUb7xCefJsUlTz/9PNARvPLUU1ctxrl/6HU/
 9pMvucvNTa3e3RWT7/8Ru08ESfHUl2I+MB8DM3EG7rGP/97+b//61/71S196
 FzkbeYO9suFK6/mN99vmZtXC2VnhTKORkAdkOTouNOXoqKDW3p7w+WdhcaaE
 Wj797/9Oe889nB0cML/tNk6vXrUzETuLkUVKbjGZSDuZ0PY9XVh3Uc7NTIQs
 hd0am6GS2cNfMv/O17zmLtoWHn/8Kf70T/+Gtu0H3mL4UAMO5wLeV9T1iPFk
 F5EaqOmjI0ZjOp2xO5uhWtFHQW2Hpqm5/p+wXJpNpk7qxl61tyfz1YqD++7j
 xqf+GVc3Ysslqa6It91GjJHU9wRVUlhPFDYdlK6nG2U6Udei7/i2Rx7tuiLs
 G990L4+86d6bmvaoW0607srODQVwvnx2dFSsP5kUVvrM5+HFG8YddwrjsUhK
 2NlC6vsf4JLA7mc+Q11V0Heky3cQzejblj4rocz78CGlzSR6Q6F1HRlikk36
 L7r3pXe3reGc8Ae//w888cRVQqgBwQ1Vef1+8Cddr8ToMWsQmdCMZ+zuXmS6
 03A6V0LY4WV3w6U7So344pfD6RJZLctE8LHHqJ3jrtmMdjJhOZ+ziomVCK0T
 ggt4NVzY9AHnuf96dO3E/v5j7/ua97/3g03fl0/vf+AVPPDAfbcOZrcDT+eK
 Cr7UhgKznvncc3rmaVvPdAemu9AnePghmDbFnLs1sA/PHsLePrzuYcLTT3Gh
 bTmqAo33VDkRUsLnjEORgCv/fMtD1vJ8w9tf+d7JuNmExd987OMbdol4vPM4
 X4F5qrrBzFPVo/JajYGAD+PCnYJj74IxnQrLJdxxedjC3LTRgJddhNGb4JOP
 I7MZO1XFqG2puh6vw2TaDKeKBE0kF6hvtT4Cq+X16rt/8B332HqhYca73vVN
 m+7NtLh7027qdiew5vYxFkv3fenSzk6F69dgvoQHqzJylJssVwx3YQyzXfCB
 IIIvAVHAzjtgGH2GqirVeNvID7AIWH5u57HHXnQhVD2bEf3wKpuR/UA3vAgB
 xJtIEOdqnGvwvgYXRHCkHCSmGudr98D98OpXIikXYezcGEkEnr4B8zmkSDIj
 hYAiqAgmEVsPPILc0v+ux9kiJvuXXn/48X/mwWFk7MThnODF47zgvSc4h3eO
 4BzBCZUIlRm1wciUkXOMm4adyYTZbZe4sH+Blwh297Vr8oA4bnvVFxc7TKst
 BFw7hRsvYNevweEh85hoTeljJMVINlBKTbWwLkBrJTZwiiCCm47YETd0m2XV
 44b5vcfwlvExETACQvCOqqqox2Pq8YRmOqEJFZUp/sYN5No18u0vkeWdlzl8
 8klmJ6fUfYavfRT2x3Ca4Ppz2OOPI4cHdDtTDo+PWczndAjRe7IpOUU0KxYG
 Pr8dyZZx+3p9aqpAHiaNw5Zk2AiaCPiAVQGrKqyuy2sIaAilM71xg9y2pBCI
 e/t0d97JKiunn/gkN+79Iup/+gfuetWDhI/8GfKVb4anPg8nJ3B2SpcTzz77
 HIc7U+azPVbLBd1yRZ8iyTlyqNCwHm1wEyRuXzfbwC1VsBCwEDZ/4zzmfZkY
 54ytVmjXYUD2nrSzQ5xO6c3ojk9YvPgC4eUvJ1y9CqMR7eEBF87O2Pm3C4Tn
 nyf1kfl0yuGzz3I4mXBweMg8BJajEd10Qmxbct+jqyU5rIe0w0B1M3t1DhNX
 lmzODQKWTeZ6zWSujLgtJ6xtsdijaqiAek8eT0iTMcGM1HX0yyXtaoW/fBn3
 zDOFqU8mLEPFUc6M5nP8YkFSpZ33LO67j/kTTzCfTJivViy7nq6uiCEQRQYv
 lM1IacCEsvUYBBPnMOdRJ2XhIALeYQiWC32wlIrVzVDncN6jdYOOR2QRfN+T
 ENzZHKeKu3QJuXEDO1ugly4SY2R1dESTlWq5xKWExkjfR7p0xGo2Y3l6yrKu
 WbUtbUp0wRNDIHlPCiFshEXOsUopMS7np8xm0PXYsJUx1eIBGTxUVWhdk73H
 xUgWRzLFnZ6WFe7eHjKfw2KB1TW5ben3L7A6PqJqGnzb4VTRtiWJEJcd3cUL
 dPM5XdvShkDX98Q+k1IihkAO3pdwGFBIBsGHWlySWBXL5TcTprmsuIb9rTmH
 hoDUNeLK7yucKlkEST1ytkCaGnZ2kFULizMsKzoblbDSTJsSwQdc35VNZN+T
 q4psSv/CC8SLF4nXr9MZRB/oU6SPqazsbq0DhpS1a9ZSVYafBxRru+1eWwbB
 q1Csb2ApoiJkEVgukRiLYuMJ0vUb4W0yRhcL0mRC6DqCKl4zLsayjVFFUyKn
 RFIjA3F3Rjw+ItU1vfckjaRspLAe2q4nz8TNjNTMzhVHGYQXLATEByx4FJCU
 UayEYUpI2yKq5LpGRiMkRVguS66IYFVFbltCVeEXi0ITcsYN40wzQ1OiADjo
 8TFpNiO1K+JySW5GJf5TQkNKw+p/+0ONzRJ+EFqQbXKHUNAHht9SGCrlJxra
 9UjXFTZe1Uhdk7LCclEsj2HjCbpc4quKpIrv+0Jac0ZSQmIsouSEeY9qJpuR
 l0vSzg45plJXRg3qPem/AJvkaAmE7bPIAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := urpo
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
	
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
#To install the icon:
	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
#	dh_strip --dbg-package=urpo-dbg #causes failure!
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb



binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
